Page MenuHomePhabricator

[Story] Add newly created Schemas to user’s watchlist according to setting
Closed, ResolvedPublic3 Story Points

Description

If the user’s settings say that new pages they create should be added to their watchlist, then this should also apply to new Schemas.

BDD
GIVEN the editor has the setting enabled to add pages they create to their watchlist
WHEN they create a new Schema
THEN the Schema is added to their watchlist

Acceptance criteria:

  • Newly created Schemas are added to the watchlist or not based on the user's setting.

Details

Related Gerrit Patches:

Event Timeline

Lucas_Werkmeister_WMDE triaged this task as Medium priority.Jan 14 2019, 4:39 PM
Lucas_Werkmeister_WMDE created this task.
Restricted Application added a project: Growth-Team. · View Herald TranscriptJan 15 2019, 12:43 AM
JTannerWMF moved this task from Inbox to External on the Growth-Team board.Jan 17 2019, 9:20 PM
Lydia_Pintscher renamed this task from Add newly created schemas to user’s watchlist according to preference to Add newly created Schemas to user’s watchlist according to setting.Feb 6 2019, 8:42 AM
Lydia_Pintscher updated the task description. (Show Details)
NOTE: This isn't currently working out of the box. We still have to hook this up somewhere.
Lucas_Werkmeister_WMDE set the point value for this task to 3.Feb 14 2019, 2:11 PM
Lydia_Pintscher renamed this task from Add newly created Schemas to user’s watchlist according to setting to [Story] Add newly created Schemas to user’s watchlist according to setting.Feb 24 2019, 3:38 PM
Michael claimed this task.Feb 26 2019, 11:02 AM
Michael edited projects, added Shape Expressions Sprint 3; removed Shape Expressions.
Restricted Application added a project: User-Michael. · View Herald TranscriptFeb 26 2019, 11:02 AM

Change 493045 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/WikibaseSchema@master] Add created/edited Schemas to user’s watchlist according to setting

https://gerrit.wikimedia.org/r/493045

While working on this issue, I found T217163: Database corruption if invalid \Title is provided to doWatchOrUnwatch, doWatch or doUnwatch. So we should be extra careful when merging this, at least until https://gerrit.wikimedia.org/r/493091 or something similar is merged.

Change 493045 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Add created/edited Schemas to user’s watchlist according to setting

https://gerrit.wikimedia.org/r/493045

Lydia_Pintscher closed this task as Resolved.Feb 28 2019, 8:43 AM
Lydia_Pintscher moved this task from Verification to Done on the Shape Expressions Sprint 3 board.

\o/